import com.j256.ormlite.dao.Dao;

import java.sql.SQLException;
import java.util.Scanner;

public class AccountService {
    private Dao<Account, Integer> accountDao;
    private Account account = new Account();
    private Scanner scanner = new Scanner(System.in);

    public void createAccount(String name, String password, Dao<Account, Integer> accountDao) {
        account.setName(name);
        account.setPassword(password);
        try {
            accountDao.create(account);
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }

    public void readAccount(Dao<Account, Integer> accountDao) {
        for (Account account : accountDao) {
            System.out.println(String.format("| %5d", account.getId()) +
                    String.format("| %15s", account.getName()) +
                    String.format("| %20s|", account.getPassword()));
        }
    }

    public void updateAccount(Dao<Account, Integer> accountDao, int id) {
        for (Account account : accountDao) {
            if (account.getId() == id) {
                System.out.print("Please enter the updated id:  ");
                int updatedID = scanner.nextInt();
                try {
                    accountDao.updateId(account,updatedID);
                } catch (SQLException e) {
                    e.printStackTrace();
                }
            }
        }
    }

    public void deleteAccount(Dao<Account, Integer> accountDao, int id) {
        try {
            accountDao.deleteById(id);
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
}
